axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Clover, James" <James.Clo...@disney.com>
Subject RE: xerces.jar vs. xercesImpl.jar
Date Thu, 13 Mar 2003 19:31:21 GMT
I believe that you've probably got two versions of xerces on your
classpath somewhere...

James

-----Original Message-----
From: Pascale, Peter H. [mailto:Peter.Pascale@pearson.com] 
Sent: Thursday, March 13, 2003 11:16 AM
To: 'axis-user@ws.apache.org'
Subject: xerces.jar vs. xercesImpl.jar


I am surprised to find that axis seems to require a specific parser -
xerces, and will not accept xercesImpl. I thought both would be JAXP 1.1
compliant parsers, as the set-up instructions describe:


"In the WEB-INF directory, you'll find a "lib" directory.  

In this directory, copy the jars associated with the JAXP 1.1 XML
compliant parser of your choice. We recommend xerces jars from the
xml-xerces distribution, though others work."

When I try to compile wsdl or run an axis client with xercesImpl.jar in
the classpath instead of xerces.jar, I get:

     [java] java.lang.NoClassDefFoundError: org/w3c/dom/Node

Any ideas why this incompatibility exists?

Peter

************************************************************************
**** 
This email may contain confidential material. 
If you were not an intended recipient, 
Please notify the sender and delete all copies. 
We may monitor email to and from our network. 
************************************************************************
****

Mime
View raw message